%define major 1
%define libname %mklibname lockdev %{major}
%define devname %mklibname lockdev -d

%bcond_with perl

# Where lock files are stored
%global _lockdir /run/lock/lockdev

%global checkout 20111007git
%global co_date  2011-10-07

Summary:	A library for locking devices
Name:		lockdev
Version:	1.0.4
Release:	0.1%{checkout}.9
License:	LGPLv2.1+
Group:		System/Libraries
Url:		ftp://ftp.debian.org/debian/pool/main/l/lockdev/
# This is a nightly snapshot downloaded via
# https://alioth.debian.org/snapshots.php?group_id=100443
Source0:	lockdev-%{version}.%{checkout}.tar.gz
BuildRequires:	chrpath
%if %{with perl}
BuildRequires:	perl-devel
%endif
Requires(pre):	rpm-helper
Requires(pre):	shadow-utils
Provides:	%{name}-baudboy = %{EVRD}
Obsoletes:	%{name}-baudboy < 1.0.4

%description
Lockdev provides a reliable way to put an exclusive lock to devices using both
FSSTND and SVr4 methods.

%files
%doc AUTHORS ChangeLog ChangeLog.old README.debug docs/LSB.991201
%attr(2755,root,lock) %{_sbindir}/lockdev
%{_mandir}/man8/*

%pre
getent group lock >/dev/null || groupadd -g 54 -r -f lock
exit 0

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for locking devices
Group:		System/Libraries

%description -n %{libname}
Lockdev provides a reliable way to put an exclusive lock to devices using both
FSSTND and SVr4 methods.

%files -n %{libname}
%{_libdir}/liblockdev.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The Static lockdev library and header files for the lockdev library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Conflicts:	%{_lib}lockdev1-devel < 1.0.4-0.120111007git.9
Obsoletes:	%{_lib}lockdev1-devel < 1.0.4-0.120111007git.9

%description -n %{devname}
The lockdev library provides a reliable way to put an exclusive lock on devices
using both FSSTND and SVr4 methods. The lockdev-devel package contains the
static development library and headers.

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/*.h
%{_mandir}/man3/lockdev.3*
%{_libdir}/pkgconfig/lockdev.pc

#----------------------------------------------------------------------------

%if %{with perl}
%package -n perl-LockDev
Summary:	LockDev - Perl extension to manage device lockfiles
Group:		Development/Perl
Requires:	%{libname} = %{EVRD}

%description -n perl-LockDev
The LockDev methods act on device locks normally located in /var/lock. The lock
is acquired creating a pair of files hardlinked between them and named after
the device name (as mandated by FSSTND) and the device's major and minor
numbers (as in SVr4 locks). This permits to circumvent a problem using only the
FSSTND lock method when the same device exists under different names (for
convenience or when a device must be accessible by more than one group of
users).

The lock file names are typically in the form LCK..ttyS1 and LCK.004.065, and
their content is the pid of the process who owns the lock.

%files -n perl-LockDev
%{perl_vendorarch}/LockDev.pm
%dir %{perl_vendorarch}/auto/LockDev
%attr(0755,root,root) %{perl_vendorarch}/auto/LockDev/*.so
%{_mandir}/man3/LockDev.3*
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn lockdev-scm-%{co_date}

%build
# Generate version information from git release tag
./scripts/git-version > VERSION

# To satisfy automake
touch ChangeLog

# Bootstrap autotools
autoreconf --verbose --force --install

CFLAGS="%{optflags} -D_PATH_LOCK=\\\"%{_lockdir}\\\"" \
%configure --disable-static --enable-helper

%make

%if %{with perl}
pushd LockDev
    perl Makefile.PL INSTALLDIRS=vendor
    make OPTIMIZE="%{optflags}"
popd
%endif

%install
# Fix upstream permission bug #3053
chmod 644 docs/LSB.991201
%makeinstall_std

%if %{with perl}
# nuke rpath
chrpath -d %{buildroot}%{perl_vendorarch}/auto/LockDev/*.so
%endif


%changelog
* Tue Feb 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.4-0.120111007git.9
+ Revision: 9e36d7f
- Fix development package name


